/**************************************************/
/*               MEDIA QUERIES START              */

/* Remember that media queries IGNORE the rem val */
/* set in the html, so "em" is needed for media.  */
/* queries instead & by default 1em = 1rem = 16px */

@media (max-width: 72.5em) /* 1160px */ {
  .container,
  .header,
  .bottom {
    width: 102rem;
  }

  /**************************/
  /*      NAV CHANGES       */
  /* Makes them all smaller */

  .nav-ul {
    gap: 2.1rem;
  }

  .nav-common {
    height: 4.3rem;
  }

  .nav-home {
    width: 4.8rem;
  }

  .nav-audio {
    width: 5.5rem;
  }

  .nav-graphic {
    width: 7.8rem;
  }

  .nav-video {
    width: 5.2rem;
  }

  .nav-events {
    width: 6.8rem;
  }

  .nav-contact {
    width: 8.1rem;
  }

  /*      NAV CHANGES       */
  /**************************/

  /**************************/
  /*    GRAPHIC CHANGES     */

  .square {
    width: 40rem;
    height: 40rem;
  }

  .threesquare {
    width: 75rem;
    height: 25rem;
  }

  .tray {
    width: 40.4rem;
    height: 32rem;
  }

  .flyer {
    width: 40rem;
    height: 56rem;
  }

  .ticket {
    width: 40rem;
    height: 14rem;
  }

  .YoutubeVideo {
    width: 50rem;
    height: 28.1rem;
  }

  /*    GRAPHIC CHANGES     */
  /**************************/

  /**************************/
  /*    CONTACT CHANGES     */

  .contact-box {
    width: 40rem;
  }

  .contact-header {
    font-size: 2.2rem;
  }

  /*    CONTACT CHANGES     */
  /**************************/
}

@media (max-width: 65em) /* 1040px */ {
  .container,
  .header,
  .bottom {
    width: 90rem;
  }
  /**************************/
  /*      NAV CHANGES       */
  /* Makes them all smaller */

  .nav-ul {
    gap: 1.9rem;
  }

  .nav-common {
    height: 3.7rem;
  }

  .nav-home {
    width: 4.1rem;
  }

  .nav-audio {
    width: 4.7rem;
  }

  .nav-graphic {
    width: 6.7rem;
  }

  .nav-video {
    width: 4.5rem;
  }

  .nav-events {
    width: 5.9rem;
  }

  .nav-contact {
    width: 7rem;
  }

  /*      NAV CHANGES       */
  /**************************/
}

@media (max-width: 57.5em) /* 920px */ {
  .container,
  .header,
  .bottom {
    max-width: 90rem;
    width: 100%;
  }

  .header {
    height: 7.2rem;
    background-image: url("img/headers/MobileHeader.jpg");
  }

  .container {
    /*
      REDUCES SPACE BETWEEN TOP SOUNDWAVE GRAPHIC
      AND THE HEADER SO THEY ARE FLUSH TOGETHER
    */
    padding-top: 7.1rem;
  }

  .separator {
    /*
      REDUCES SPACE BEFORE EACH SECTION HEADER
      SO NAV LINKS GO TO THE RIGHT PLACE
    */
    height: 7rem;
  }

  section {
    margin-bottom: -5rem;
  }

  .full-header {
    display: none;
  }

  .mobile-header {
    display: block;
  }

  /**************************/
  /*      NAV CHANGES       */

  .btn-mobile-nav {
    display: block;
    margin-right: 2rem;
  }

  .main-nav {
    /*
      This is essentially the mobile nav bar that
      isn't selected in anything other than this
      specific media query
    */

    background-color: #3a5a40;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    overflow-y: auto;

    /* Moves content to the far right outside view */
    transform: translateX(100%);

    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.5s ease-in;

    /* Hide nav */
    opacity: 0;

    /* Make nav unaccessible to mouse and keyboard */
    pointer-events: none;

    /* Hide it from screen readers */
    visibility: hidden;
  }

  .nav-open .main-nav {
    /* 
      When the "nav-open" class is added to the 
      .main-nav element via Javascript
    */

    /* Show nav */
    opacity: 1;
    pointer-events: auto;
    visibility: visible;

    /* Move the content in focus from the right */
    transform: translateX(0);
  }

  .nav-open .icon-mobile-nav[name="close-outline"] {
    /*
      When .nav-open is present, turn on the
      close button (x)
    */

    display: block;
  }

  .nav-open .icon-mobile-nav[name="menu-outline"] {
    /*
      When .nav-open is present, turn off the
      hamburger (menu) button
    */

    display: none;
  }

  .nav-ul {
    /*
      Change the direction of the nav items from
      horizontal to vertical
    */
    flex-direction: column;

    gap: 4rem;
  }

  .nav-common {
    height: 4.8rem;
  }

  .nav-home {
    width: 5.35rem;
  }

  .nav-audio {
    width: 6.1rem;
  }

  .nav-graphic {
    width: 8.7rem;
  }

  .nav-video {
    width: 5.85rem;
  }

  .nav-events {
    width: 7.6rem;
  }

  .nav-contact {
    width: 9.1rem;
  }

  /*      NAV CHANGES       */
  /**************************/

  .album {
    max-width: 45rem;
    grid-template-columns: 1fr;
  }

  /**************************/
  /*    GRAPHIC CHANGES     */

  .square {
    width: 30rem;
    height: 30rem;
  }

  .threesquare {
    width: 49rem;
    height: 16.3rem;
  }

  .tray {
    width: 31.5rem;
    height: 25rem;
  }

  .flyer {
    width: 31.3rem;
    height: 43.8rem;
  }

  .ticket {
    width: 31.3rem;
    height: 11rem;
  }

  /*    GRAPHIC CHANGES     */
  /**************************/

  .YoutubeVideo {
    width: 40rem;
    height: 22.5rem;
  }

  /**************************/
  /*    CONTACT CHANGES     */

  .contact-box {
    width: 31.3rem;
    height: 41rem;
  }

  .contact-header {
    font-size: 1.9rem;
  }

  .cta-form input,
  .cta-form label,
  .cta-form textarea {
    font-size: 1.4rem;
  }

  .cta-form {
    grid-template-columns: 1fr;
  }

  .message,
  .submit {
    grid-column: span 1;
  }

  .submit {
    font-size: 1.6rem;
  }

  /*    CONTACT CHANGES     */
  /**************************/

  .bottom {
    font-size: 0.7rem;
    height: 10rem;
  }

  .footer-logo {
    width: 12rem;
    height: 7.5rem;
  }
}

@media (max-width: 32.5em) /* 520px */ {
  /**************************/
  /*     AUDIO CHANGES      */

  .album-cover {
    width: 30rem;
    height: 30rem;
  }

  audio {
    width: 36rem;
  }

  .album-links {
    width: 30rem;
    gap: 2.4rem;
  }

  .link-common {
    width: 3rem;
    height: 3rem;
  }

  .audio-separator {
    max-width: 35rem;
    margin-top: 2.5rem;
    margin-bottom: 2.5rem;
  }

  /*     AUDIO CHANGES      */
  /**************************/

  /**************************/
  /*    GRAPHIC CHANGES     */

  .square {
    width: 25rem;
    height: 25rem;
  }

  .threesquare {
    width: 32rem;
    height: 10.6rem;
  }

  .tray {
    width: 18.9rem;
    height: 15rem;
  }

  .flyer {
    width: 31.3rem;
    height: 43.8rem;
  }

  .ticket {
    width: 31.3rem;
    height: 11rem;
  }

  /*    GRAPHIC CHANGES     */
  /**************************/

  .YoutubeVideo {
    width: 30rem;
    height: 16.9rem;
  }

  .bottom {
    font-size: 0.5rem;
    height: 7rem;
  }

  .footer-logo {
    width: 9rem;
    height: 5.7rem;
  }
}

@media (max-width: 24em) /* 384px */ {
  .header {
    background-image: url("img/headers/MobileHeader-smaller.jpg");
  }

  .icon-mobile-nav {
    height: 3.6rem;
    width: 3.6rem;
  }

  /**************************/
  /*     AUDIO CHANGES      */

  audio {
    width: 30rem;
  }

  .album-cover {
    width: 27.5rem;
    height: 27.5rem;
  }

  .album-links {
    width: 25rem;
    gap: 1.2rem;
  }

  .audio-separator {
    max-width: 25rem;
  }

  /*     AUDIO CHANGES      */
  /**************************/

  /**************************/
  /*    GRAPHIC CHANGES     */

  .flyer {
    width: 25rem;
    height: 35rem;
  }

  .square {
    width: 25rem;
    height: 25rem;
  }

  .ticket {
    width: 25rem;
    height: 8.8rem;
  }

  .threesquare {
    width: 30rem;
    height: 10.6rem;
  }

  /*    GRAPHIC CHANGES     */
  /**************************/

  .YoutubeVideo {
    width: 24rem;
    height: 13.5rem;
  }

  /**************************/
  /*    CONTACT CHANGES     */

  .contact-box {
    width: 25rem;
    height: 40rem;
  }

  .contact-header {
    font-size: 1.6rem;
  }

  .cta-form input,
  .cta-form label,
  .cta-form textarea {
    font-size: 1.2rem;
  }

  /*    CONTACT CHANGES     */
  /**************************/

  .bottom {
    font-size: 0.7rem;
    height: 6rem;
  }

  .footer-logo {
    width: 7rem;
    height: 4.4rem;
  }
}
/*                MEDIA QUERIES END               */
/**************************************************/
